Update pre langmaterials RDE templates

Description

The language updates done as part of v2.7.0 will break RDE templates created using any previous version of ArchivesSpace. Pre v2.7.0 at least the "order" column will contain "colLang", but since v2.7.0 "colLang" is deprecated and "colLanguage" and "colScript" are present instead.

As part of a migration occurences of "colLang" should be removed and "colLanguage" and "colScript" inserted as a replacement in the "order", "visible" and "defaults" json string fields. This can be done as a) a plugin for a quick solution for anyone who wants the update more urgently and b) a core migration to catch the issue for everyone else.

Environment

None

Activity

Show:
Julia Novakovic
January 3, 2020, 1:42 PM

Testing note from Christine: “ANW-964 is only testable if someone has RDE templates that were created before the upgrade to 2.7.0. Before this fix went in they would not work. But since the test server has already had this remedied, you wouldn’t see any difference.” Seems to be okay for now!

Assignee

Mark Cooper

Reporter

Mark Cooper

Fix versions

Priority

Major
Configure